#!/bin/sh

rm SCP_FILES
rm -rf ./pkgs

find ./ -type f -print | grep \\.decl | sort > tmplist1
cat tmplist1

TOTAL_PKGS=$(wc -l tmplist1)
COUNTER=0

cat tmplist1 | while read DECL
do
	COUNTER=$((COUNTER+1))
	echo "($COUNTER/$TOTAL_PKGS) $DECL"
	
	AUTHOR=$(grep "Unknown" "$DECL")
	
	if [ -n "$AUTHOR" ]
	then
		LOCAL_FILE=$(grep "local_url" "$DECL" | awk '{ print $2; }')
		echo "ark $LOCAL_FILE"
		printf "Author: "
		read AUTHORNAME
		printf "\n"
		sed -i "s|Unknown|$AUTHORNAME|g" "$DECL"
	fi
done

rm tmplist
